Package io.vertx.mysqlclient.spi

## Class MySQLDriver

- java.lang.Object
- - io.vertx.mysqlclient.spi.MySQLDriver

- All Implemented Interfaces:
    `Driver<MySQLConnectOptions>`

      public class MySQLDriver
      extends Object
      implements Driver<MySQLConnectOptions>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MySQLDriver` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MySQLDriver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptsOptions​(SqlConnectOptions options)` |
    `ConnectionFactory<MySQLConnectOptions>` | `createConnectionFactory​(Vertx vertx, NetClientOptions transportOptions)` | Create a connection factory to the given `database`.
    `MySQLConnectOptions` | `downcast​(SqlConnectOptions connectOptions)` | Downcast the connect options to the specific driver options.
    `Pool` | `newPool​(Vertx vertx, java.util.function.Supplier<Future<MySQLConnectOptions>> databases, PoolOptions options, NetClientOptions transportOptions, Handler<SqlConnection> connectHandler, io.vertx.core.internal.CloseFuture closeFuture)` | Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
    `MySQLConnectOptions` | `parseConnectionUri​(String uri)` |
    `io.vertx.sqlclient.internal.SqlConnectionInternal` | `wrapConnection​(io.vertx.core.internal.ContextInternal context, ConnectionFactory<MySQLConnectOptions> factory, io.vertx.sqlclient.internal.Connection conn)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.sqlclient.spi.Driver

      `appendQueryPlaceholder, createPool`

- - ### Field Detail

    - #### INSTANCE

          public static final MySQLDriver INSTANCE

  - ### Constructor Detail

    - #### MySQLDriver

          public MySQLDriver()

  - ### Method Detail

    - #### downcast

          public MySQLConnectOptions downcast​(SqlConnectOptions connectOptions)

      Description copied from interface: `Driver`
      Downcast the connect options to the specific driver options.
      Specified by:
        `downcast` in interface `Driver<MySQLConnectOptions>`
      Parameters:
        `connectOptions` - the options to downcast
      Returns:
        the downcasted options

    - #### newPool

          public Pool newPool​(Vertx vertx,
                              java.util.function.Supplier<Future<MySQLConnectOptions>> databases,
                              PoolOptions options,
                              NetClientOptions transportOptions,
                              Handler<SqlConnection> connectHandler,
                              io.vertx.core.internal.CloseFuture closeFuture)

      Description copied from interface: `Driver`
      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.

      This method is not meant to be used directly by users, instead they should use `Driver.createPool(Vertx, Supplier, PoolOptions, NetClientOptions, Handler)`.

      Specified by:
        `newPool` in interface `Driver<MySQLConnectOptions>`
      Parameters:
        `vertx` - the Vertx instance to be used with the connection pool
        `databases` - the list of databases
        `options` - the options for creating the pool
        `transportOptions` - the options to configure the TCP client
        `connectHandler` - the connect handler
        `closeFuture` - the close future
      Returns:
        the connection pool

    - #### parseConnectionUri

          public MySQLConnectOptions parseConnectionUri​(String uri)

      Specified by:
        `parseConnectionUri` in interface `Driver<MySQLConnectOptions>`
      Returns:
        `true` if the driver accepts the `connectOptions`, `false` otherwise

    - #### acceptsOptions

          public boolean acceptsOptions​(SqlConnectOptions options)

      Specified by:
        `acceptsOptions` in interface `Driver<MySQLConnectOptions>`
      Returns:
        true if the driver accepts the `connectOptions`, false otherwise

    - #### createConnectionFactory

          public ConnectionFactory<MySQLConnectOptions> createConnectionFactory​(Vertx vertx,
                                                                                NetClientOptions transportOptions)

      Description copied from interface: `Driver`
      Create a connection factory to the given `database`.
      Specified by:
        `createConnectionFactory` in interface `Driver<MySQLConnectOptions>`
      Parameters:
        `vertx` - the Vertx instance
        `transportOptions` - the options to configure the TCP client
      Returns:
        the connection factory

    - #### wrapConnection

          public io.vertx.sqlclient.internal.SqlConnectionInternal wrapConnection​(io.vertx.core.internal.ContextInternal context,
                                                                                  ConnectionFactory<MySQLConnectOptions> factory,
                                                                                  io.vertx.sqlclient.internal.Connection conn)

      Specified by:
        `wrapConnection` in interface `Driver<MySQLConnectOptions>`